
Orchestrator - Bug #53034

podman-3.0.1-6 crashed

10/25/2021 03:21 PM - Sebastian Wagner

Status: Can't reproduce % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

$ file remote/smithi081/coredump/1634847631.144910.core

remote/smithi081/coredump/1634847631.144910.core: ELF 64-bit LSB core file x86-64, version 1 (SYSV

), SVR4-style, from '/bin/podman stop ceph-a756fc90-32a9-11ec-8c28-001a4aab830c-node-exporter-smit

hi', real uid: 0, effective uid: 0, real gid: 0, effective gid: 0, execfn: '/bin/podman', platform

: 'x86_64'

 

2021-10-21T20:22:17.589 INFO:teuthology.task.internal:Transferring binaries for coredumps...

2021-10-21T20:22:17.615 ERROR:teuthology.run_tasks:Manager failed: internal.archive

Traceback (most recent call last):

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_c56135d151713269e811ede3163c9743c2e269de

/teuthology/run_tasks.py", line 176, in run_tasks

    suppress = manager.__exit__(*exc_info)

  File "/usr/lib/python3.6/contextlib.py", line 88, in __exit__

    next(self.gen)

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_c56135d151713269e811ede3163c9743c2e269de

/teuthology/task/internal/__init__.py", line 398, in archive

    fetch_binaries_for_coredumps(path, rem)

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_c56135d151713269e811ede3163c9743c2e269de

/teuthology/task/internal/__init__.py", line 320, in fetch_binaries_for_coredumps

    dump_program = dump_out.split("from '")[1].split(' ')[0]

IndexError: list index out of range

2021-10-21T20:22:17.616 DEBUG:teuthology.run_tasks:Unwinding manager internal.archive_upload

 

2021-10-21T20:01:17.705 INFO:teuthology.orchestra.run.smithi081.stdout:Upgraded:

2021-10-21T20:01:17.706 INFO:teuthology.orchestra.run.smithi081.stdout:  containernetworking-plugi

ns-0.9.1-1.module_el8.4.0+786+4668b267.x86_64

2021-10-21T20:01:17.706 INFO:teuthology.orchestra.run.smithi081.stdout:  criu-3.15-1.module_el8.4.

0+786+4668b267.x86_64

2021-10-21T20:01:17.706 INFO:teuthology.orchestra.run.smithi081.stdout:  libslirp-4.3.1-1.module_e

l8.4.0+786+4668b267.x86_64

2021-10-21T20:01:17.706 INFO:teuthology.orchestra.run.smithi081.stdout:  slirp4netns-1.1.8-1.modul

e_el8.4.0+786+4668b267.x86_64

2021-10-21T20:01:17.707 INFO:teuthology.orchestra.run.smithi081.stdout:Downgraded:

2021-10-21T20:01:17.707 INFO:teuthology.orchestra.run.smithi081.stdout:  conmon-2:2.0.26-1.module_

el8.4.0+786+4668b267.x86_64
2021-10-21T20:01:17.707 INFO:teuthology.orchestra.run.smithi081.stdout:  container-selinux-2:2.158

.0-1.module_el8.4.0+786+4668b267.noarch

2021-10-21T20:01:17.707 INFO:teuthology.orchestra.run.smithi081.stdout:  containers-common-1:1.2.2

-7.module_el8.4.0+786+4668b267.x86_64

2021-10-21T20:01:17.708 INFO:teuthology.orchestra.run.smithi081.stdout:  crun-0.18-2.module_el8.4.

0+786+4668b267.x86_64

2021-10-21T20:01:17.708 INFO:teuthology.orchestra.run.smithi081.stdout:  fuse-overlayfs-1.4.0-2.mo

dule_el8.4.0+786+4668b267.x86_64

2021-10-21T20:01:17.708 INFO:teuthology.orchestra.run.smithi081.stdout:  podman-3.0.1-6.module_el8

.4.0+786+4668b267.x86_64

2021-10-21T20:01:17.708 INFO:teuthology.orchestra.run.smithi081.stdout:  podman-catatonit-3.0.1-6.

module_el8.4.0+786+4668b267.x86_64

2021-10-21T20:01:17.708 INFO:teuthology.orchestra.run.smithi081.stdout:  podman-docker-3.0.1-6.mod

ule_el8.4.0+786+4668b267.noarch

2021-10-21T20:01:17.709 INFO:teuthology.orchestra.run.smithi081.stdout:  runc-1.0.0-71.rc92.module

_el8.4.0+833+9763146c.x86_64

2021-10-21T20:01:17.709 INFO:teuthology.orchestra.run.smithi081.stdout:Installed:

2021-10-21T20:01:17.709 INFO:teuthology.orchestra.run.smithi081.stdout:  buildah-1.19.7-1.module_e

l8.4.0+786+4668b267.x86_64

2021-10-21T20:01:17.709 INFO:teuthology.orchestra.run.smithi081.stdout:  cockpit-podman-29-2.modul

e_el8.4.0+786+4668b267.noarch

2021-10-21T20:01:17.709 INFO:teuthology.orchestra.run.smithi081.stdout:  skopeo-1:1.2.2-7.module_e

l8.4.0+786+4668b267.x86_64

2021-10-21T20:01:17.710 INFO:teuthology.orchestra.run.smithi081.stdout:  toolbox-0.0.8-1.module_el

8.4.0+786+4668b267.noarch

2021-10-21T20:01:17.710 INFO:teuthology.orchestra.run.smithi081.stdout:  udica-0.2.4-1.module_el8.

4.0+786+4668b267.noarch

 

http://pulpito.front.sepia.ceph.com/adking-2021-10-21_19:20:35-rados:cephadm-wip-adk-testing-2021-10-21-1228-distro-basic-smithi

/6456288

History

#1 - 10/25/2021 03:23 PM - Adam King

http://pulpito.front.sepia.ceph.com/adking-2021-10-23_22:09:40-rados:cephadm-wip-adk2-testing-2021-10-23-1446-distro-basic-smithi/6458272/

#2 - 01/24/2022 11:29 AM - Sebastian Wagner

- Status changed from New to Can't reproduce
